# GitPushTask

Extends \GitBaseTask

Wrapper aroung git-push

Use \Project#createTask to register a new Task.

author | Victor Farazdagi simple.square@gmail.com
version | $Id: 8406c9cfd560b995db09e9888334355641cd3975 $
package | phing.tasks.ext.git
see |
since | 2.4.3
link | http://www.kernel.org/pub/software/scm/git/docs/git-push.html

### Methods

## getAll

    getAll() : boolean

### Response

`boolean`

## getDelete

    getDelete() : string

### Response

`string`

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## getDestination

    getDestination() : string

### Response

`string`

## getForce

    getForce() : boolean

### Response

`boolean`

## getGitClient

    getGitClient(boolean $reset = false, null $repository = null) : null|\VersionControl_Git

inherited

throws |

### Arguments

#### $reset

`boolean`

#### $repository

`null`

### Response

`null|\VersionControl_Git`

## Get path to git executable

    getGitPath() : string

inherited

### Response

`string`

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## getMirror

    getMirror() : boolean

### Response

`boolean`

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## getQuiet

    getQuiet() : boolean

### Response

`boolean`

## getRefspec

    getRefspec() : string

### Response

`string`

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Get repository directory

    getRepository() : string

inherited

### Response

`string`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## getTags

    getTags() : boolean

### Response

`boolean`

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## isAllRemotes

    isAllRemotes() : boolean

### Response

`boolean`

## isDelete

    isDelete() : string

### Response

`string`

## isForce

    isForce() : boolean

### Response

`boolean`

## isMirror

    isMirror() : boolean

### Response

`boolean`

## isQuiet

    isQuiet() : boolean

### Response

`boolean`

## isTags

    isTags() : boolean

### Response

`boolean`

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## setAll

    setAll( $flag)

### Arguments

#### $flag

``

## setDelete

    setDelete( $flag)

### Arguments

#### $flag

``

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## setDestination

    setDestination( $destination)

### Arguments

#### $destination

``

## setForce

    setForce( $flag)

### Arguments

#### $flag

``

## Set path to git executable

    setGitPath(string $gitPath) : \GitBaseTask

inherited

### Arguments

#### $gitPath

`string`

New path to git repository

### Response

`\GitBaseTask`

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## setMirror

    setMirror( $flag)

### Arguments

#### $flag

``

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## setQuiet

    setQuiet( $flag)

### Arguments

#### $flag

``

## setRefspec

    setRefspec( $spec)

### Arguments

#### $spec

``

## Set repository directory

    setRepository(string $repository) : \GitBaseTask

inherited

### Arguments

#### $repository

`string`

Repo directory

### Response

`\GitBaseTask`

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## setTags

    setTags( $flag)

### Arguments

#### $flag

``

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

### Properties

## Instead of naming each ref to push, specifies that all refs --all key to git-push

    allRemotes : boolean

var |

### Type(s)

`boolean`

## Mirror to remote repository --mirror key to git-push

    mirror : boolean

var |

### Type(s)

`boolean`

## Same as prefixing repos with colon --delete argument to git-push

    delete : string

var |

### Type(s)

`string`

## Push all refs under refs/tags --tags key to git-fetch

    tags : boolean

var |

### Type(s)

`boolean`

## <repository> argument to git-push

    destination : string

var |

### Type(s)

`string`

## <refspec> argument to git-push

    refspec : string

var |

### Type(s)

`string`

## --force, -f key to git-push

    force : boolean

var |

### Type(s)

`boolean`

## --quiet, -q key to git-push

    quiet : boolean

var |

### Type(s)

`boolean`

## Bath to git binary

    gitPath : string

inherited

var |

### Type(s)

`string`

## gitClient

    gitClient : \VersionControl_Git

inherited

var |

### Type(s)

`\VersionControl_Git`

## Current repository directory

    repository : string

inherited

var |

### Type(s)

`string`

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`